Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.webapp.action
Class FulltextSearchAction

    java.lang.Object
      com.opensymphony.xwork2.ActionSupport
          com.gisgraphy.webapp.action.SearchAction
              com.gisgraphy.webapp.action.FulltextSearchAction

All Implemented Interfaces:
  com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

Direct Known Subclasses:
  EditSearchAction

    public class FulltextSearchAction

extends SearchAction

fulltext search Action

Author:
  David Masclet
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.gisgraphy.webapp.action.SearchAction
`DEFAULT_NUMBER_OF_RESULTS_PER_PAGE, errorMessage, POPUP_VIEW`

Fields inherited from class com.opensymphony.xwork2.ActionSupport
`LOG`

Fields inherited from interface com.opensymphony.xwork2.Action
`ERROR, INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`FulltextSearchAction()`

Method Summary
`List<Country>` | `getCountries()`
`String` | `getCountry()`
`com.gisgraphy.serializer.common.OutputFormat[]` | `getFormats()`
`String` | `getLang()`
`List<String>` | `getLanguages()`
`String` | `getPlacetype()`
`String` | `getQ()`
`com.gisgraphy.fulltext.FulltextResultsDto` | `getResponseDTO()`
`String` | `getStyle()`
`com.gisgraphy.domain.valueobject.Output.OutputStyle[]` | `getVerbosityModes()`
`Boolean` | `isAdmin()`
`boolean` | `isAllwordsrequired()`
`boolean` | `isDisplayResults()`
`boolean` | `isSpellchecking()`
`String` | `search()` Execute a fulltextSearch from the request parameters
`String` | `searchpopup()` Execute a fulltextSearch from the request parameters
`void` | `setAllwordsrequired(boolean allwordsrequired)`
`void` | `setAlternateNameDao(IAlternateNameDao alternateNameDao)`
`void` | `setCountry(String country)`
`void` | `setCountryDao(CountryDao countryDao)`
`void` | `setFullTextSearchEngine(com.gisgraphy.fulltext.IFullTextSearchEngine fullTextSearchEngine)`
`void` | `setLang(String lang)`
`void` | `setPlacetype(String placetype)`
`void` | `setQ(String q)`
`void` | `setSpellchecking(boolean spellchecking)`
`void` | `setStyle(String style)`

Methods inherited from class com.gisgraphy.webapp.action.SearchAction
`getDefaultNumberOfResultsPerPage, getErrorMessage, getFormat, getFrom, getPlacetypes, getTo, isAdvancedSearch, isIndent, setAdvancedSearch, setFormat, setFrom, setIndent, setTo`

Methods inherited from class com.opensymphony.xwork2.ActionSupport
`addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, execute, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FulltextSearchAction

    public FulltextSearchAction()

Method Detail

### isDisplayResults

    public boolean isDisplayResults()

  Returns:
    Wether the search has been done and the results should be displayed

### search

    public String search()
                  throws Exception

  Execute a fulltextSearch from the request parameters

  Returns:
    SUCCESS if the search is successfull
  Throws:
    `Exception` - in case of errors

### searchpopup

    public String searchpopup()
                       throws Exception

  Execute a fulltextSearch from the request parameters

  Returns:
    POPUPVIEW if the search is successfull The view will not be decorated by sitemesh (see decorators.xml)
  Throws:
    `Exception` - in case of errors

### getLanguages

    public List<String> getLanguages()

  Returns:
    the languages

### getCountries

    public List<Country> getCountries()

  Returns:
    the available countries

### getVerbosityModes

    public com.gisgraphy.domain.valueobject.Output.OutputStyle[] getVerbosityModes()

  Returns:
    the available

### getFormats

    public com.gisgraphy.serializer.common.OutputFormat[] getFormats()

  Returns:
    the available formats for fulltext search

### setFullTextSearchEngine

    public void setFullTextSearchEngine(com.gisgraphy.fulltext.IFullTextSearchEngine fullTextSearchEngine)

  Parameters:
    `fullTextSearchEngine` - the fullTextSearchEngine to set

### setCountry

    public void setCountry(String country)

  Parameters:
    `country` - the country parameter to set

### setLang

    public void setLang(String lang)

  Parameters:
    `lang` - the lang parameter to set

### setStyle

    public void setStyle(String style)

  Parameters:
    `style` - the style parameter to set

### setQ

    public void setQ(String q)

  Parameters:
    `q` - The q parameter to set

### getCountry

    public String getCountry()

  Returns:
    the country

### getLang

    public String getLang()

  Returns:
    the lang

### getStyle

    public String getStyle()

  Returns:
    the style

### getQ

    public String getQ()

  Returns:
    the q

### setPlacetype

    public void setPlacetype(String placetype)

  Parameters:
    `placetype` - the placetype to set

### getPlacetype

    public String getPlacetype()

  Returns:
    the placetype

### setCountryDao

    public void setCountryDao(CountryDao countryDao)

  Parameters:
    `countryDao` - the countryDao to set

### setAlternateNameDao

    public void setAlternateNameDao(IAlternateNameDao alternateNameDao)

  Parameters:
    `alternateNameDao` - the alternateNameDao to set

### getResponseDTO

    public com.gisgraphy.fulltext.FulltextResultsDto getResponseDTO()

  Returns:
    the response

### isSpellchecking

    public boolean isSpellchecking()

  Returns:
    the spellchecking

### setSpellchecking

    public void setSpellchecking(boolean spellchecking)

  Parameters:
    `spellchecking` - the spellchecking to set

### isAllwordsrequired

    public boolean isAllwordsrequired()

  Returns:
    the allwordsrequired

### setAllwordsrequired

    public void setAllwordsrequired(boolean allwordsrequired)

  Parameters:
    `allwordsrequired` - the allwordsrequired to set

### isAdmin

    public Boolean isAdmin()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.